Z-Image Turbo 图片生成
curl --request POST \
--url https://api.sinancode.com/v1/generate/f/z-image-turbo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A hyper-realistic portrait of a cat",
"enable_safety_checker": true,
"image_size": "landscape_4_3",
"num_images": 1,
"output_format": "png",
"seed": -1
}
'import requests
url = "https://api.sinancode.com/v1/generate/f/z-image-turbo"
payload = {
"prompt": "A hyper-realistic portrait of a cat",
"enable_safety_checker": True,
"image_size": "landscape_4_3",
"num_images": 1,
"output_format": "png",
"seed": -1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: 'A hyper-realistic portrait of a cat',
enable_safety_checker: true,
image_size: 'landscape_4_3',
num_images: 1,
output_format: 'png',
seed: -1
})
};
fetch('https://api.sinancode.com/v1/generate/f/z-image-turbo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}图片生成 - Z-Image
Z-Image Turbo
使用通义万相 Z-Image Turbo 模型生成图片(异步,6B 参数超快文生图)
POST
/
generate
/
f
/
z-image-turbo
Z-Image Turbo 图片生成
使用阿里云通义万相 Z-Image Turbo 模型超快速生成图片。
模型特点:
- 价格最低 - 目前平台上价格最便宜的图片生成模型
- 速度最快 - 6B 参数蒸馏模型,8 步推理,H800 上亚秒级延迟,平台最快
- 双语文字渲染 - 精准渲染中英文文字,解决乱码、笔画缺失问题
- 照片级真实感 - 人像和写实场景的皮肤质感、光影、景深细节出色
- 开源可商用 - Apache-2.0 协议,开源模型中达到 SOTA 水平
授权
请使用您的 API Token 进行认证
请求体
application/json
任务参数
提示词文本(必填)
Minimum string length:
1示例:
"A hyper-realistic portrait of a cat"
启用安全检查器(默认 true)
示例:
true
图片尺寸(预设值)
可用选项:
square_hd, square, portrait_4_3, portrait_16_9, landscape_4_3, landscape_16_9 示例:
"landscape_4_3"
生成图片数量(1-4 张,默认 1)
必填范围:
1 <= x <= 4示例:
1
输出格式(jpeg/png/webp,默认 png)
可用选项:
jpeg, png, webp 示例:
"png"
随机种子(相同种子+相同提示词 = 相同结果)
示例:
-1
响应
OK
Task ID
示例:
"01234567-89ab-cdef-0123-456789abcdef"
⌘I